View Issue Details

IDProjectCategoryView StatusLast Update
0002532DraftBugpublic2017-07-04 00:29
Reportermore11Assigned Toyorik 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformDell XPSOSWindows 7OS Versionx64
Product Version 
Target Version0.17Fixed in Version0.17 
Summary0002532: Draft line not working if document closed while tool is open
DescriptionI got this exception:

Running the Python command 'Draft_Line' failed:
Traceback (most recent call last):
  File "C:\Users\more10.HOLISTICODE\Downloads\FreeCAD_0.17.7447_x64_dev_win\Mod\Draft\DraftTools.py", line 440, in Activated
    Creator.Activated(self,name)
  File "C:\Users\more10.HOLISTICODE\Downloads\FreeCAD_0.17.7447_x64_dev_win\Mod\Draft\DraftTools.py", line 423, in Activated
    DraftTool.Activated(self)
  File "C:\Users\more10.HOLISTICODE\Downloads\FreeCAD_0.17.7447_x64_dev_win\Mod\Draft\DraftTools.py", line 223, in Activated
    FreeCAD.activeDraftCommand.finish()
  File "C:\Users\more10.HOLISTICODE\Downloads\FreeCAD_0.17.7447_x64_dev_win\Mod\Draft\DraftTools.py", line 457, in finish
    old = self.obj.Name

Cannot access attribute 'Name' of deleted object
Steps To ReproduceOpen draft line tool in an unsaved document. Close the document. Open another document. Open the Draft.line tool

Probably goes away with a restart
Additional InformationOS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.7447 (Git)
Build type: Release
Branch: master
Hash: 898bd8bb4cbe2c9b26aa6c1f7362e48752a3e4de
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

yorik

2016-04-29 14:30

administrator   ~0007028

Last edited: 2016-04-29 14:31

View 2 revisions

Indeed the Draft task panel is not closed when closing a document. The same happens with other task panels (for ex. Part Fillet). One that works correctly is the sketcher, not sure what is done differently there...

I think maybe we could always close the task panel when closing a document.

Kunda1

2017-01-26 21:32

administrator   ~0008000

Forum thread: https://forum.freecadweb.org/viewtopic.php?f=10&t=20256

Kunda1

2017-06-29 06:08

administrator   ~0009600

Punting to yorik. Please unassign if that's not appropriate. In the forum you did say you'd look in to it. Thanks in advance!

yorik

2017-06-29 15:18

administrator   ~0009609

Good reminder :)
Fixing that now...

yorik

2017-06-29 15:19

administrator   ~0009610

Fixed in commit 74e794002

Related Changesets

FreeCAD: master 74e79400

2017-06-29 10:17:36

Yorik van Havre

Details Diff
Draft: More solid closing of Draft commands - fixes 0002532 Affected Issues
0002532
mod - src/Mod/Draft/DraftGui.py Diff File
mod - src/Mod/Draft/DraftTools.py Diff File

Issue History

Date Modified Username Field Change
2016-04-29 04:16 more11 New Issue
2016-04-29 14:30 yorik Note Added: 0007028
2016-04-29 14:31 yorik Note Edited: 0007028 View Revisions
2017-01-26 21:32 Kunda1 Note Added: 0008000
2017-01-26 21:32 Kunda1 Summary Draft line not working if document closed while tool i open => Draft line not working if document closed while tool is open
2017-01-26 21:33 Kunda1 Tag Attached: #pending
2017-02-18 21:29 Kunda1 Target Version => 0.17
2017-02-18 21:31 Kunda1 Project FreeCAD => Draft
2017-06-29 06:07 Kunda1 Assigned To => yorik
2017-06-29 06:07 Kunda1 Status new => assigned
2017-06-29 06:08 Kunda1 Note Added: 0009600
2017-06-29 15:18 yorik Note Added: 0009609
2017-06-29 15:19 yorik Status assigned => closed
2017-06-29 15:19 yorik Resolution open => fixed
2017-06-29 15:19 yorik Fixed in Version => 0.17
2017-06-29 15:19 yorik Note Added: 0009610
2017-06-29 16:25 Kunda1 Tag Detached: #pending
2017-07-04 00:29 Kunda1 Changeset attached => FreeCAD master 74e79400